Summary:    The standard UNIX FTP client
Name:       ftp
Version:    0.17
Release:    6%{?dist}
License:    BSD with advertising
URL:        ftp://ftp.linux.org.uk/pub/linux/Networking/netkit
Source0:    ftp://ftp.linux.org.uk/pub/linux/Networking/netkit/netkit-ftp-%{version}.tar.gz

Patch3000: netkit-ftp-0.17-pre20000412.pasv-security.patch
Patch3001: netkit-ftp-0.17-acct.patch
Patch3002: netkit-ftp.usagi-ipv6.patch
Patch3003: netkit-ftp-0.17-segv.patch
Patch3004: netkit-ftp-0.17-volatile.patch
Patch3005: netkit-ftp-0.17-runique_mget.patch
Patch3006: netkit-ftp-locale.patch
Patch3007: netkit-ftp-0.17-printf.patch
Patch3008: netkit-ftp-0.17-longint.patch
Patch3009: netkit-ftp-0.17-vsftp165083.patch
Patch3010: netkit-ftp-0.17-C-Frame121.patch
Patch3011: netkit-ftp-0.17-data.patch
Patch3012: netkit-ftp-0.17-multihome.patch
Patch3013: netkit-ftp-0.17-longnames.patch
Patch3014: netkit-ftp-0.17-multiipv6.patch
Patch3015: netkit-ftp-0.17-nodebug.patch
Patch3016: netkit-ftp-0.17-stamp.patch
Patch3017: netkit-ftp-0.17-sigseg.patch
Patch3018: netkit-ftp-0.17-size.patch
Patch3019: netkit-ftp-0.17-fdleak.patch
Patch3020: netkit-ftp-0.17-fprintf.patch
Patch3021: netkit-ftp-0.17-bitrate.patch
Patch3023: netkit-ftp-0.17-case.patch
Patch3024: netkit-ftp-0.17-chkmalloc.patch
Patch3025: netkit-ftp-0.17-man.patch
Patch3026: netkit-ftp-0.17-acct_ovl.patch
Patch3027: netkit-ftp-0.17-remove-nested-include.patch
Patch3028: netkit-ftp-0.17-linelen.patch
Patch3029: netkit-ftp-0.17-active-mode-option.patch
Patch3030: netkit-ftp-0.17-commands-leaks.patch
Patch3031: netkit-ftp-0.17-lsn-timeout.patch
Patch3032: netkit-ftp-0.17-getlogin.patch
Patch3033: netkit-ftp-0.17-token.patch
Patch3034: netkit-ftp-0.17-linelen-segfault.patch
Patch3036: fix-install-path.patch
Patch3037: add-cflags-file-offset-bits-64.patch
Patch3038: fix-compiling-error-ARG-MAX.patch

BuildRequires: glibc-devel, readline-devel, ncurses-devel
BuildRequires: gcc, make

%description
The ftp package provides the standard UNIX command-line FTP (FileTransfer
Protocol) client.  FTP is a widely used protocol for transferring files over
the Internet and for archiving files.



%prep
%autosetup -p1 -n netkit-ftp-%{version}



%build
CFLAGS=$RPM_OPT_FLAGS CC="%__cc" ./configure --with-c-compiler=%{__cc} --enable-ipv6

%{make_build}



%install
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_mandir}/man1
mkdir -p %{buildroot}%{_mandir}/man5

make INSTALLROOT=%{buildroot} install



%files
%{_bindir}/*
%{_mandir}/man1/*
%{_mandir}/man5/netrc.*



%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.17-6
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.17-5
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.17-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.17-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.17-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Jul 13 2022 Zhao Zhen <jeremiazhao@tencent.com> - 0.17-1
- Initial building.
